=== debian/changelog ===
akonadiconsole (4:17.04.3-0ubuntu1) artful; urgency=medium

  [ Rik Mills ]
  * Add lintian override: package-name-doesnt-match-sonames libakonadiconsole5

  [ José Manuel Santamaría Lema ]
  * New upstream release (17.04.1)
  * Add kde-10n Breaks/Replaces
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 21 Aug 2017 14:34:26 +0100

akonadiconsole (4:16.12.3-0ubuntu1) artful; urgency=medium

  [ Simon Quigley ]
  * Initial split from kdepim.

  [ Clive Johnston ]
  * Fix packaging
  * This package is in the archive and therefore needs an epoch

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * New upstream release (16.12.1)

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)
  * Update copyright file

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 01 May 2017 20:29:19 +0100
