=== debian/control ===
Source: akonadiconsole
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.1~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.39.0~),
               libkf5akonadi-dev (>= 4:17.12.2~),
               libkf5akonadicontact-dev (>= 4:17.12.2~),
               libkf5akonadimime-dev (>= 4:17.12.2~),
               libkf5akonadisearch-dev (>= 4:17.12.2~),
               libkf5calendarcore-dev (>= 4:17.12.2~),
               libkf5calendarsupport-dev (>= 4:17.12.2~),
               libkf5completion-dev (>= 5.39.0~),
               libkf5config-dev (>= 5.39.0~),
               libkf5configwidgets-dev (>= 5.39.0~),
               libkf5contacts-dev (>= 4:17.12.2~),
               libkf5crash-dev (>= 5.39.0~),
               libkf5dbusaddons-dev (>= 5.39.0~),
               libkf5doctools-dev (>= 5.39.0~),
               libkf5i18n-dev (>= 5.39.0~),
               libkf5imap-dev (>= 17.12.2~),
               libkf5itemmodels-dev (>= 5.39.0~),
               libkf5itemviews-dev (>= 5.39.0~),
               libkf5kio-dev (>= 5.39.0~),
               libkf5libkdepim-dev (>= 4:17.12.2~),
               libkf5libkleo-dev (>= 4:17.12.2~),
               libkf5messageviewer-dev (>= 4:17.12.2~),
               libkf5mime-dev (>= 17.12.2~),
               libkf5pimtextedit-dev (>= 17.12.2~),
               libkf5textwidgets-dev (>= 5.39.0~),
               libkf5widgetsaddons-dev (>= 5.39.0~),
               libkf5xmlgui-dev (>= 5.39.0~),
               libxapian-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.8.0~),
               xauth,
               xvfb,
Standards-Version: 4.1.3
Homepage: http://pim.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadiconsole
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadiconsole.git

Package: akonadiconsole
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: management and debugging console for akonadi
 Akonadi Console is a useful utility that can be used to explore or manage
 Akonadi. Since this utility exposes Akonadi internals, it is very useful for
 debugging but may also prove handy in other cases.
