## akonadiconsole 17.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,10 @@
-project(akonadiconsole)
+cmake_minimum_required(VERSION 3.1)
+set(KDEPIM_VERSION_NUMBER "5.7.3")
+project(akonadiconsole VERSION ${KDEPIM_VERSION_NUMBER})
 
-cmake_minimum_required(VERSION 3.1)
-set(KF5_VERSION "5.32.0")
-find_package(ECM ${KF5_VERSION} REQUIRED NO_MODULE)
+set(KF5_VERSION "5.39.0")
+
+find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 include(ECMInstallIcons)
 
@@ -33,7 +35,6 @@
 endif()
 
 
-set(KDEPIM_VERSION_NUMBER "5.5.3")
 set(KDEPIM_VERSION "${KDEPIM_VERSION_NUMBER}${KDEPIM_DEV_VERSION}")
 
 set(KDEPIM_LIB_VERSION "${KDEPIM_VERSION_NUMBER}")
@@ -41,25 +42,26 @@
 
 
 
-set(AKONADI_MIMELIB_VERSION "5.5.3")
-set(AKONADI_CONTACT_VERSION "5.5.3")
-set(CALENDARSUPPORT_LIB_VERSION_LIB "5.5.3")
-set(KPIMTEXTEDIT_LIB_VERSION "5.5.3")
-set(AKONADI_VERSION "5.5.3")
+set(AKONADI_MIMELIB_VERSION "5.7.3")
+set(AKONADI_CONTACT_VERSION "5.7.3")
+set(CALENDARSUPPORT_LIB_VERSION_LIB "5.7.3")
+set(KPIMTEXTEDIT_LIB_VERSION "5.7.3")
+set(AKONADI_VERSION "5.7.3")
+set(AKONADI_SEARCH_VERSION "5.7.3")
 
 set(KDEPIM_LIB_VERSION "${KDEPIM_VERSION_NUMBER}")
 set(KDEPIM_LIB_SOVERSION "5")
 
 
-set(QT_REQUIRED_VERSION "5.6.0")
+set(QT_REQUIRED_VERSION "5.8.0")
 find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets DBus Sql Test)
-set(MESSAGELIB_LIB_VERSION_LIB "5.5.3")
-set(LIBKLEO_LIB_VERSION_LIB "5.5.3")
-set(LIBKDEPIM_LIB_VERSION_LIB "5.5.3")
-set(KCALENDARCORE_LIB_VERSION "5.5.3")
-set(KCONTACTS_LIB_VERSION "5.5.3")
-set(KMIME_LIB_VERSION "5.5.3")
-set(KIMAP_LIB_VERSION "5.5.3")
+set(MESSAGELIB_LIB_VERSION_LIB "5.7.3")
+set(LIBKLEO_LIB_VERSION_LIB "5.7.3")
+set(LIBKDEPIM_LIB_VERSION_LIB "5.7.3")
+set(KCALENDARCORE_LIB_VERSION "5.7.3")
+set(KCONTACTS_LIB_VERSION "5.7.3")
+set(KMIME_LIB_VERSION "5.7.3")
+set(KIMAP_LIB_VERSION "5.7.3")
 
 # Find KF5 package
 find_package(KF5Completion ${KF5_VERSION} CONFIG REQUIRED)
@@ -73,6 +75,9 @@
 find_package(KF5WidgetsAddons ${KF5_VERSION} CONFIG REQUIRED)
 find_package(KF5XmlGui ${KF5_VERSION} CONFIG REQUIRED)
 find_package(KF5Crash ${KF5_VERSION} REQUIRED)
+find_package(KF5Completion ${KF5_VERSION} REQUIRED)
+find_package(KF5ItemViews ${KF5_VERSION} REQUIRED)
+find_package(KF5KIO ${KF5_VERSION} REQUIRED)
 
 # Find KdepimLibs Package
 find_package(KF5PimTextEdit ${KPIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)
@@ -82,6 +87,7 @@
 find_package(KF5AkonadiContact ${AKONADI_CONTACT_VERSION} CONFIG REQUIRED)
 find_package(KF5CalendarSupport ${CALENDARSUPPORT_LIB_VERSION_LIB} CONFIG REQUIRED)
 find_package(KF5AkonadiMime ${AKONADI_MIMELIB_VERSION} CONFIG REQUIRED)
+find_package(KF5AkonadiSearch ${AKONADI_SEARCH_VERSION} CONFIG REQUIRED)
 
 find_package(KF5IMAP ${KIMAP_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5MessageViewer ${MESSAGELIB_LIB_VERSION_LIB} CONFIG REQUIRED)
@@ -89,10 +95,19 @@
 find_package(KF5Libkdepim ${LIBKDEPIM_LIB_VERSION_LIB} CONFIG REQUIRED)
 find_package(KF5Libkleo ${LIBKLEO_LIB_VERSION_LIB} CONFIG REQUIRED)
 
-include_directories(${akonadiconsole_SOURCE_DIR} ${akonadiconsole_BINARY_DIR})
+find_package(Xapian CONFIG)
+set_package_properties(Xapian PROPERTIES
+    DESCRIPTION "The Xapian search engine library"
+    URL "http://xapian.org"
+    TYPE REQUIRED
+)
+
+
+include_directories(${akonadiconsole_SOURCE_DIR} ${akonadiconsole_BINARY_DIR} ${XAPIAN_INCLUDE_DIR})
 
 add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
 add_definitions(-DQT_USE_QSTRINGBUILDER)
+add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
 install( FILES akonadiconsole.renamecategories akonadiconsole.categories DESTINATION ${KDE_INSTALL_CONFDIR} )
 
 add_subdirectory(src)
